package land.chipmunk.chipmunkmod.config.migrations;

import land.chipmunk.chipmunkmod.config.migration.ConfigMigration;
import org.spongepowered.configurate.transformation.ConfigurationTransformation;
import org.spongepowered.configurate.transformation.TransformAction;

import static org.spongepowered.configurate.NodePath.path;

public final class MigrationV2 implements ConfigMigration {
    @Override
    public int version () {
        return 2;
    }

    @Override
    public ConfigurationTransformation create () {
        return ConfigurationTransformation.builder()
                .addAction(path("bots", "chomens", "authKey"), TransformAction.remove())
                .build();
    }
}
